Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class SetCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.SetCommand

    class SetCommand
    extends CommandSupport

The 'set' command, used to set preferences.

version:
  $Id: SetCommand.groovy 8407 2007-10-07 01:46:36Z user57 $

author:
  Jason Dillon

Constructor Summary
`SetCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SetCommand

    public SetCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2009 The Codehaus. All rights reserved.